# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXGetRegularArrayInfo

Function

Returns the number of items, the origin, and the delta of a Regular Array.

Syntax
`
#include <dx/dx.h>
`

RegularArray DXGetRegularArrayInfo(RegularArray a, int *count,
Pointer origin, Pointer delta)

Functional Details

If `count` is not `NULL`, this routine returns in `*count` the number of points. If `origin` is not `NULL`, it returns in `*origin` the position of the first point. If `delta` is not `NULL`, it returns in `*delta` the spacing between the points. Both `origin` and `delta` must point to buffers large enough to hold one item of the type of `a`. The information about `a` may be obtained by calling `DXGetArrayInfo`.

Regular Arrays provide a compact representation for a sequence of `count` points beginning at `origin` and extending in the direction specified by the `delta` vector and spaced `delta` apart. The dimensionality of `origin` and `delta` may be found through a call to `DXGetArrayInfo`. By accessing the origin and delta information directly, it may be possible to process Regular Arrays without expansion. Array handles provides a mechanism for accessing individual elements of a Regular Array without expansion.

Return Value

Returns `a` or returns `NULL` and sets an error code.

See Also

`DXCreateArrayHandle, DXGetArrayInfo, DXNewRegularArray`

"Regular Arrays".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]